Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.basic
Class FileData

    java.lang.Object
      org.encog.app.analyst.csv.basic.BaseCachedColumn
          org.encog.app.analyst.csv.basic.FileData

    public class FileData

extends BaseCachedColumn

A column that is based off of a column in a CSV file.

Field Summary
`static String` | `CLOSE` The close value.
`static String` | `DATE` The date.
`static String` | `HIGH` The high value.
`static String` | `LOW` The low value.
`static String` | `OPEN` The open value.
`static String` | `TIME` The time.
`static String` | `VOLUME` The volume.

Constructor Summary
`FileData(String theName, int theIndex, boolean theInput, boolean theOutput)` Construct the object.

Method Summary
`int` | `getIndex()`
`void` | `setIndex(int theIndex)` Set the index of this field.

Methods inherited from class org.encog.app.analyst.csv.basic.BaseCachedColumn
`allocate, getData, getName, isIgnore, isInput, isOutput, setIgnore, setInput, setName, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE

    public static final String DATE

  The date.

  See Also:
    Constant Field Values

### TIME

    public static final String TIME

  The time.

  See Also:
    Constant Field Values

### HIGH

    public static final String HIGH

  The high value.

  See Also:
    Constant Field Values

### LOW

    public static final String LOW

  The low value.

  See Also:
    Constant Field Values

### OPEN

    public static final String OPEN

  The open value.

  See Also:
    Constant Field Values

### CLOSE

    public static final String CLOSE

  The close value.

  See Also:
    Constant Field Values

### VOLUME

    public static final String VOLUME

  The volume.

  See Also:
    Constant Field Values

Constructor Detail

### FileData

    public FileData(String theName,
                    int theIndex,
                    boolean theInput,
                    boolean theOutput)

  Construct the object.

  Parameters:
    `theName` - The name of the object.
    `theIndex` - The index of the field.
    `theInput` - Is this field for input?
    `theOutput` - Is this field for output?

Method Detail

### getIndex

    public final int getIndex()

  Returns:
    The index of this field.

### setIndex

    public final void setIndex(int theIndex)

  Set the index of this field.

  Parameters:
    `theIndex` - The index of this field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.